//
//  Controller.m
//  NSPopUpButtonBindings
//
//  Created by Kevin Wojniak on 1/27/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import "Controller.h"
#import "Thing.h"


@implementation Controller

@synthesize things = _things;

- (void)awakeFromNib
{
	NSArray *names = [NSArray arrayWithObjects:@"Bird", @"Chair", @"Song", @"Computer", nil];
	NSMutableArray *things = [NSMutableArray array];
	for (NSString *name in names)
	{
		Thing *thing = [[[Thing alloc] init] autorelease];
		thing.name = name;
		[things addObject:thing];
	}
	
	self.things = things;
}

@end
